# Gridmaster - The Ultimate Post Grid Solution with Ajax Filter

```md
Contributors: mdshuvo, addonmaster, mdashikul
Tags: infinite scroll, post grid, grid, post type grid, pagination, ajax pagination, grid display, filter, filtering, grid, layout, post, post filter, post layout, taxonomy, taxonomy filter, ajax grid, display post grid, post type grid, wp post grid, ajax post filter, filter post ajax, ajaxify, mixitup, isotop, category filter, filter without reload, ajax filter, ajax plugin
Tested up to: 6.5.x
Stable tag: 3.4.12
License: GPLv2 or later
License URI: http://www.gnu.org/licenses/gpl-2.0.html
```

Gridmaster helps you create post grids with ajax filter. You can create grid layouts with taxonomy filter, pagination, load more button, infinite scroll, and many more.

## Description
Gridmaster helps you create post grids with ajax filter. You can create grid layouts with taxonomy filter, pagination, load more button, infinite scroll, and many more.

Gridmaster has a shortcode generator that helps you generate the shortcode easily, and you can use the shortcode anywhere to show the post grid. You can also use the shortcode in your theme template file.


### [See the Live demo](https://plugins.addonmaster.com/gridmaster/)
[![Live preview video](https://img.youtube.com/vi/8Th_jp8YEk4/0.jpg)](https://www.youtube.com/watch?v=8Th_jp8YEk4)

### Features of Gridmaster
Gridmaster offers you a lot of features that will help you create a post grid with ajax filter easily. You can develop your custom theme templates easily by using the Gridmaster shortcode. Here are some of the features that you will get with Gridmaster.

- **Shortcode Generator:** Gridmaster has a shortcode generator that helps you generate the shortcode easily, and you can use the shortcode anywhere to show the post grid. You can also use the shortcode in your theme template file. It has a preview shortcode feature that helps you preview the post grid before using the shortcode.

- **Pre-Build Grid Layout:** Gridmaster has a few pre-built post grid layouts (more are coming) that you can use to create your post grid. It has some unique classes that you can use to create your own layout easily using CSS.

- **Custom Post Type Support:** Gridmaster supports not only the default post type but also custom post types. You can create a post grid with any custom post type.

- **Posts Per Page:** Gridmaster offers you to control the number of posts per page. You can show all posts or a specific number of posts per page.

- **Order By/Order:** Gridmaster offers you to control the order of the post. You can order the post by date, title, menu order, random, comment count, ID, author, and more. You can also order the post in ascending or descending order.

- **Excerpt Length:** Gridmaster offers you to control the excerpt length. You can control the excerpt length by the number of words. You can also choose from where you want to get the content (excerpt or content).

- **Read More Button:** Gridmaster offers you to hide or show the read more button in the post grid. You can also change the read more button text.

- **Filter Style:** Gridmaster has 3 filter styles that you can use to show the filter. You can also hide the filter and show post grid only. You can also show the filter without the "All" button.

- **Custom Taxonomy Support:** Gridmaster offers you to create a custom taxonomy filter. You can create a custom taxonomy filter and show the post grid based on the taxonomy. You can also show selected category terms only in the filter.

- **Ajax Pagination:** Gridmaster has ajax pagination that helps you load the next page without reloading the page. It has 2 types of pagination. You can use the default pagination or you can use the load more button.

- **Load More Button:** It has a load more button that helps you load the next page post grid with a button click.

- **Infinite Scroll:** It also has infinite scroll that helps you load the next page post grid when you scroll down the page. Using this feature, you can load the next page post grid without clicking any button.

- **Animate on Post Load:** Gridmaster has an animation effect that helps you animate the post when the post loads.

- **Grid Image Thumbnail Size:** Gridmaster offers you to control the image thumbnail size. You can choose the image thumbnail size from the available image sizes.

- **Filter Heading Option**
Post Grid Master has a filter heading option that helps you to show the filter heading. You can add any text as the filter heading. You can also hide the filter heading.

- **Toggle Filter Items Option**
Post Grid Master has a toggle filter items option that helps you to show/hide the filter items by clicking on the filter heading. By default, filter items are hidden.


### Other Features
- **Works with Any Theme:** Gridmaster works with any WordPress theme. You can use it with any theme.

- **Seamless Efficiency with Clean Code:** Gridmaster is developed with clean code and is optimized for speed and performance. It maintains a lean codebase for optimal site performance.

- **Responsive:** Gridmaster is fully responsive and works perfectly on all devices.

- **Cross Browser Compatible:** Gridmaster is cross-browser compatible. It works perfectly with all the major browsers.

- **Translation Ready:** Gridmaster is translation ready. You can translate it easily.

- **Well Documented:** Gridmaster is well documented. It has step-by-step documentation that helps you use it easily.

- **Essential Features at No Cost:** Gridmaster comes packed with nearly all necessary features as part of its free package, ensuring exceptional value.

**Still have questions?**
If you have any questions or queries regarding Gridmaster, you can ask them in the [support forum](https://wordpress.org/support/plugin/ajax-filter-posts/) or [contact us](https://addonmaster.com/submit-a-ticket/). We will try to answer your questions as soon as possible.

## Pro Features
There are some pro features that you will get with the pro version of Gridmaster. Here are some of the pro features.

- **Pro Filter Style:** Gridmaster has 3 filter styles in the free version. But with the pro version, you will get a few more filter styles.

- **Pro Grid Layout:** Gridmaster has a few pre-built post grid layouts in the free version. But with the pro version, you will get a few more grid layouts.

- **Taxonomy Image and Color:** Gridmaster has a taxonomy image and color feature that helps you show the taxonomy image and color in the filter. You can also show the taxonomy image and color in the post grid.

- **Auto Select Taxonomy:** Auto select taxonomy is a pro feature that helps you select the taxonomy automatically when you visit the taxonomy page. You will need to use the shortcode in the taxonomy template file to use this feature.

- **Custom Taxonomy Terms:** By default, Gridmaster shows all the taxonomy terms in the filter. But with the pro version, you can show selected taxonomy terms only in the filter.

- **Initial Term on Page Load:** This feature helps you show the post grid based on the initial term on page load. You can use this feature to show the post grid based on the initial term on page load.

- **Auto-Select Initial Term:** This feature helps you auto-select the initial term when you visit the term page. The shortcode needs to be used in the taxonomy template file to use this feature.

- **Allow Multiple Selection:** Gridmaster has a multiple selection feature that helps you show the post grid based on the selected terms. You can select more than one term and show the post grid based on the selected terms.

- **Auto Post Type Selection:** This feature helps you select the post type automatically when you visit the post type page. You will need to place the shortcode in the post type template file to use this feature.

- **Heading Tag** This feature helps you to change the heading tag of the post title. You can change the heading tag from h1 to h6, div, span, p.

- **Heading Font Size** This feature helps you to change the font size of the post title. You can set the font size for different devices.

- **Column Gap Control:** Gridmaster has a column gap control feature that helps you control the column gap of the post grid.

- **Row Gap Control:** Gridmaster has a row gap control feature that helps you control the row gap of the post grid.

- **Post Items Per Row:** Gridmaster has a post items per row feature that helps you control the number of post items per row. You can select different post items per row for different devices.

- **Slider Option** Post Grid Master has a slider option that helps you to show the post grid in a slider. You can show the post grid in a slider with different slider options. Those are:
- Slides to Show
- Slides to Scroll
- Show Prev/Next Arrows
- Show Dots
- Enable Autoplay
- Autoplay Speed
- Pause Autoplay on Hover
- Infinite loop sliding
- Enable Center View

More features coming soon...


## Installation
1. Download and unzip the plugin. Upload the unzipped folder to the wp-contents/plugins folder of your WordPress installation.

2. Activate the plugin from the WordPress Plugins administration page.

3. OR, Go to WP admin panel, click 'Plugins' -> 'Add new'. In the search input box, type 'Gridmaster'.

4. Install and activate the plugin.

5. That's it. From the dashboard, go to the Gridmaster menu and create your first post grid.

## Frequently Asked Questions
1. How to create a post grid?
   Go to the Gridmaster menu from the dashboard. Then click on the "Grid Builder" tab. Then select the available options (filter type, post grid style, post type, etc) and then copy the shortcode and paste it where you want to show the post grid.

2. Will it work with my theme?
   Yes, it will work with any standard WordPress theme. If you face any problems, please let us know.

3. Will it work with any page builder?
   Yes, it will work with any standard page builder. Just copy the shortcode and paste it where you want to show the post grid.

4. Can I use multiple post grids on the same page?
   Yes, you can use multiple post grids on the same page.

5. Will it slow down my website?
   No, it will not slow down your website. It is developed with clean code and optimized for speed and performance.

6. Can I create a post grid with custom taxonomy?
   Yes, you can create a post grid with any custom taxonomy.

7. How to create a post grid with custom taxonomy?
   From the Grid Builder tab, select the "Show Filter" option. Then select the taxonomy from the "Select Taxonomy" option. Then select the terms from the "Terms" option. Then select the other available options. Then copy the shortcode and paste it where you want to show the post grid.

8. Can I create a post grid with a custom post type?
   Yes, you can create a post grid with any custom post type.

9. Can I hide the filter?
   Yes, you can hide the filter from the post grid.

10. Is it possible to show the post grid without the "All" button?
    Yes, you can show the post grid without the "All" button.

11. Can I paginate the post grid with the Load More Button?
    Yes, you can paginate the post grid with the Load More Button.

12. Can I paginate the post grid with Infinite Scroll?
    Yes, you can paginate the post grid with Infinite Scroll.

13. Can I change the read more button text?
    Yes, you can change the read more button text.

14. I need help with custom features?
    If you need any custom feature, please let us know. We will try to add the feature in the next update. Some features will be added in the pro version only. Email us at [addonmasterwp@gmail.com](mailto:addonmasterwp@gmail.com) for any custom feature request.

## Screenshots
1. Frontend Preview
2. Filter Preview
3. Pagination Preview

## Changelog

= 3.4.9 - July 02, 2024 =
- Fixed: Security issues
- Compatible with WordPress 6.5.x


= 3.4.7 - Mar 04, 2024=
- Added: Filter Heading Option
- Added: Toggle Filter Items Option
- Added: No Post Found Filter Hook (gridmaster-no-posts-found)
- Fixed: Translatable "All" text
- Fixed: Minor code changes.
- Detailed Documentation: https://addonmaster.com/post-grid-master-wordpress-post-grid-plugin-updates-mar-04-2024/


= 3.4.6 =
- Feb 14, 2024
- Fixed: Minor code changes.
- Tested up to WordPress 6.4.3
- Minified CSS and JS


= 3.4.0 =
- Aug 6, 2023
- Rebrand: Post Grid with Ajax Filter to Gridmaster
- Rebuild the plugin from scratch
- Added: Shortcode Generator
- Old shortcode support
- Clean & Optimized Code
- Huge Code Refactor
- Added: 2 Grid Layouts
- Added: 3 Filter Layouts
- Added: Backend Preview
- Added: Filter Preview
- Added: Pagination Preview
- Added: Post Grid Preview
- Added: Excerpt Control
- Added: Excerpt Length Control
- Added: Read More Button Text Control
- and many more...

= 3.3.0 =
- March 1, 2023
- WordPress 6.1.1 Compatible

= 3.2.1 =
- Sep 10, 2022
- Added: Static Load on Page Load

= 3.1.5 =
- Sep 06, 2022
- Fixed: Loading Issue on page load
- Tested up to WordPress 6.0.2

= 3.0.4 =
- JUN 11, 2022
- Fixed: Nonce fix
- Tested up to WordPress 6.0

= 3.0.0 =
- Nov 21, 2021
- Added: Load More Button [See latest Shortcodes]
- Added: Infinite Scroll
- Added: Animation Effect on post load
- Added: Posts restrictions by Terms
- Fixed: Code issues

= 2.2.1 =
- March 8, 2021
- Added: Order Parameter
- Added: Orderby Parameter

= 2.2.0 =
- Feb 23, 2021
- WordPress 5.6.2 Compatible
- Added: Show/Hide Specific category terms
- Added: Hide/Show Empty Category Terms

= 2.1.0 =
- Feb 3, 2021
- WordPress 5.6 Compatible

= 2.0.4 =
- March 19, 2020
- Issue Fixed: Draft posts are displayed

= 2.0.2 =
- March 9, 2020
- Ajax pagination
- CSS Improvement
- Ajax Improvement
- Speed Improvement

= 2.0.0 =
- Jan 22, 2020
- Multiple grid support
- Ajax Improvement
- Speed Improvement
- Shortcode Extended:
  - posts_per_page - for controlling the number of posts
  - btn_all - Show/Hide "All" Button on filter
  - show_filter - Show/Hide the filter

= 1.0.4 =
- Jan 21, 2020
- Multiple grid support
- Ajax Improvement
- Speed Improvement
- New Design Layout Added

= 1.0.4 =
- Initial release.
